﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{4FC72D4A-80EE-4B1A-8724-0201C1A35621}</ProjectGuid>
    <RootNamespace>fileio</RootNamespace>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)bin\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(ProjectDir)$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|x64'">false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>includes;src/c;src/cpp;../../libs/intl;../../libs/curl/include;../../libs/libxml2;../windows_tools/includes;../api_scilab/includes;../core/includes;../string/includes;../output_stream/includes;../io/includes;../localization/includes;../dynamic_link/includes;../preferences/includes;../ast/includes/types;../ast/includes/ast;../ast/includes/analysis;../ast/includes/exps;../ast/includes/operations;../ast/includes/symbol;../ast/includes/system_env;../threads/includes;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;FILEIO_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <PreLinkEvent>
      <Message>Make dependencies</Message>
      <Command>lib /DEF:"$(ProjectDir)core_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)core_f_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core_f.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Scilab_windows_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilab_windows.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Localization_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilocalization.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Console_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)sciconsole.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)preferences_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)preferences.lib" 1&gt;NUL 2&gt;NUL</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalDependencies>core_f.lib;core.lib;scilocalization.lib;sciconsole.lib;preferences.lib</AdditionalDependencies>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>includes;src/c;src/cpp;../../libs/intl;../../libs/curl/include;../../libs/libxml2;../windows_tools/includes;../api_scilab/includes;../core/includes;../string/includes;../output_stream/includes;../io/includes;../localization/includes;../dynamic_link/includes;../preferences/includes;../ast/includes/types;../ast/includes/ast;../ast/includes/analysis;../ast/includes/exps;../ast/includes/operations;../ast/includes/symbol;../ast/includes/system_env;../threads/includes;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;FILEIO_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <PreLinkEvent>
      <Message>Make dependencies</Message>
      <Command>lib /DEF:"$(ProjectDir)core_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)core_f_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core_f.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Scilab_windows_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilab_windows.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Localization_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilocalization.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Console_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)sciconsole.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)preferences_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)preferences.lib" 1&gt;NUL 2&gt;NUL</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalDependencies>core_f.lib;core.lib;scilocalization.lib;sciconsole.lib;preferences.lib</AdditionalDependencies>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>includes;src/c;src/cpp;../../libs/intl;../../libs/curl/include;../../libs/libxml2;../windows_tools/includes;../api_scilab/includes;../core/includes;../string/includes;../output_stream/includes;../io/includes;../localization/includes;../dynamic_link/includes;../preferences/includes;../ast/includes/types;../ast/includes/ast;../ast/includes/analysis;../ast/includes/exps;../ast/includes/operations;../ast/includes/symbol;../ast/includes/system_env;../threads/includes;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;FILEIO_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DisableSpecificWarnings>4723</DisableSpecificWarnings>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <PreLinkEvent>
      <Message>Make dependencies</Message>
      <Command>lib /DEF:"$(ProjectDir)core_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)core_f_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core_f.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Scilab_windows_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilab_windows.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Localization_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilocalization.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Console_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)sciconsole.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)preferences_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)preferences.lib" 1&gt;NUL 2&gt;NUL</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalDependencies>core_f.lib;core.lib;scilocalization.lib;sciconsole.lib;preferences.lib</AdditionalDependencies>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>includes;src/c;src/cpp;../../libs/intl;../../libs/curl/include;../../libs/libxml2;../windows_tools/includes;../api_scilab/includes;../core/includes;../string/includes;../output_stream/includes;../io/includes;../localization/includes;../dynamic_link/includes;../preferences/includes;../ast/includes/types;../ast/includes/ast;../ast/includes/analysis;../ast/includes/exps;../ast/includes/operations;../ast/includes/symbol;../ast/includes/system_env;../threads/includes;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;FILEIO_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <WarningLevel>Level3</WarningLevel>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <DisableSpecificWarnings>4723</DisableSpecificWarnings>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <PreLinkEvent>
      <Message>Make dependencies</Message>
      <Command>lib /DEF:"$(ProjectDir)core_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)core_f_import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)core_f.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Scilab_windows_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilab_windows.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Localization_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)scilocalization.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)Console_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)sciconsole.lib" 1&gt;NUL 2&gt;NUL
lib /DEF:"$(ProjectDir)preferences_Import.def" /SUBSYSTEM:WINDOWS /MACHINE:$(Platform) /OUT:"$(ProjectDir)preferences.lib" 1&gt;NUL 2&gt;NUL</Command>
    </PreLinkEvent>
    <Link>
      <AdditionalDependencies>core_f.lib;core.lib;scilocalization.lib;sciconsole.lib;preferences.lib</AdditionalDependencies>
      <OutputFile>$(SolutionDir)bin\$(ProjectName).dll</OutputFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(SolutionDir)bin\$(ProjectName).lib</ImportLibrary>
      <TargetMachine>MachineX64</TargetMachine>
      <CLRUnmanagedCodeCheck>true</CLRUnmanagedCodeCheck>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="src\cpp\addfile.cpp" />
    <ClCompile Include="src\cpp\delfile.cpp" />
    <ClCompile Include="src\cpp\filemanager_interface.cpp" />
    <ClCompile Include="src\cpp\fullpath.cpp" />
    <ClCompile Include="src\cpp\getfiledesc.cpp" />
    <ClCompile Include="src\cpp\getfileinfo.cpp" />
    <ClCompile Include="src\cpp\getfiletype.cpp" />
    <ClCompile Include="src\cpp\scilab_sscanf.cpp" />
    <ClCompile Include="src\c\basename.c" />
    <ClCompile Include="src\c\cluni0.c" />
    <ClCompile Include="src\c\convert_tools.c" />
    <ClCompile Include="src\c\copyfile_windows.c" />
    <ClCompile Include="src\c\createdirectory.c" />
    <ClCompile Include="src\c\createtempfilename.c" />
    <ClCompile Include="src\c\deleteafile.c" />
    <ClCompile Include="src\c\DllmainFileio.c" />
    <ClCompile Include="src\c\dlManager.c" />
    <ClCompile Include="src\c\do_xxscanf.c" />
    <ClCompile Include="src\cpp\expandPathVariable.cpp" />
    <ClCompile Include="src\c\FileExist.c" />
    <ClCompile Include="src\c\fileinfo.c" />
    <ClCompile Include="src\cpp\filemanager.cpp" />
    <ClCompile Include="src\c\FindFileExtension.c" />
    <ClCompile Include="src\c\findfiles.c" />
    <ClCompile Include="src\c\fprintfMat.c" />
    <ClCompile Include="src\c\fscanfMat.c" />
    <ClCompile Include="src\c\getdrives.c" />
    <ClCompile Include="src\c\getFullFilename.c" />
    <ClCompile Include="src\c\getlongpathname.c" />
    <ClCompile Include="src\c\getshortpathname.c" />
    <ClCompile Include="src\c\isdir.c" />
    <ClCompile Include="src\c\isDrive.c" />
    <ClCompile Include="src\cpp\mclose.cpp" />
    <ClCompile Include="src\cpp\mget.cpp" />
    <ClCompile Include="src\cpp\mgetl.cpp" />
    <ClCompile Include="src\cpp\mgetstr.cpp" />
    <ClCompile Include="src\cpp\mopen.cpp" />
    <ClCompile Include="src\c\movefile.c" />
    <ClCompile Include="src\cpp\mput.cpp" />
    <ClCompile Include="src\cpp\mputl.cpp" />
    <ClCompile Include="src\cpp\mseek.cpp" />
    <ClCompile Include="src\cpp\mtell.cpp" />
    <ClCompile Include="src\cpp\newest.cpp" />
    <ClCompile Include="src\c\os_wfopen.c" />
    <ClCompile Include="src\c\pathconvert.c" />
    <ClCompile Include="src\c\removedir.c" />
    <ClCompile Include="src\c\scanf_functions.c" />
    <ClCompile Include="src\c\scicurdir.c" />
    <ClCompile Include="src\c\splitpath.c" />
    <ClCompile Include="src\c\Status2Mode.c" />
    <ClCompile Include="src\c\URIFileToFilename.c" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="src\c\fileio.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="core_f_Import.def" />
    <None Include="core_Import.def" />
    <None Include="locales\fileio.pot" />
    <None Include="Localization_Import.def" />
    <None Include="preferences_Import.def" />
    <None Include="fileio.iss" />
    <None Include="Makefile.am" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\tools\Dumpexts\Dumpexts.vcxproj">
      <Project>{3170e4c2-1173-4264-a222-7ee8ccb3ddf7}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\ast\ast.vcxproj">
      <Project>{0d3fa25b-8116-44ec-a45e-260789daa3d9}</Project>
    </ProjectReference>
    <ProjectReference Include="..\output_stream\src\c\output_stream.vcxproj">
      <Project>{a5911cd7-f8e8-440c-a23e-4843a0636f3a}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\string\src\c\string.vcxproj">
      <Project>{8d45767a-9b03-4905-97f6-d2f3f79141ea}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="includes\addfile.h" />
    <ClInclude Include="includes\cluni0.h" />
    <ClInclude Include="includes\createdirectory.h" />
    <ClInclude Include="includes\createtempfilename.h" />
    <ClInclude Include="includes\deleteafile.h" />
    <ClInclude Include="includes\delfile.h" />
    <ClInclude Include="includes\dlManager.h" />
    <ClInclude Include="includes\do_xxscanf.h" />
    <ClInclude Include="includes\dynlib_fileio.h" />
    <ClInclude Include="includes\expandPathVariable.h" />
    <ClInclude Include="includes\FileExist.h" />
    <ClInclude Include="includes\filemanager.hxx" />
    <ClInclude Include="includes\filemanager_interface.h" />
    <ClInclude Include="includes\FindFileExtension.h" />
    <ClInclude Include="includes\findfiles.h" />
    <ClInclude Include="includes\fullpath.h" />
    <ClInclude Include="includes\getfiledesc.h" />
    <ClInclude Include="includes\getfileinfo.h" />
    <ClInclude Include="includes\getfiletype.h" />
    <ClInclude Include="includes\getFullFilename.h" />
    <ClInclude Include="includes\getshortpathname.h" />
    <ClInclude Include="includes\gw_fileio.h" />
    <ClInclude Include="includes\isdir.h" />
    <ClInclude Include="includes\mclose.h" />
    <ClInclude Include="includes\mget.h" />
    <ClInclude Include="includes\mgetl.h" />
    <ClInclude Include="includes\mopen.h" />
    <ClInclude Include="includes\mput.h" />
    <ClInclude Include="includes\mputl.h" />
    <ClInclude Include="includes\mseek.h" />
    <ClInclude Include="includes\mtell.h" />
    <ClInclude Include="includes\newest.h" />
    <ClInclude Include="includes\os_wfopen.h" />
    <ClInclude Include="includes\pathconvert.h" />
    <ClInclude Include="includes\removedir.h" />
    <ClInclude Include="includes\scanf_functions.h" />
    <ClInclude Include="includes\scicurdir.h" />
    <ClInclude Include="includes\splitpath.h" />
    <ClInclude Include="includes\URIFileToFilename.h" />
    <ClInclude Include="src\cpp\mgetstr.h" />
    <ClInclude Include="src\cpp\mputi.hxx" />
    <ClInclude Include="src\cpp\scilab_sscanf.hxx" />
    <ClInclude Include="src\c\basename.h" />
    <ClInclude Include="src\c\convert_tools.h" />
    <ClInclude Include="src\c\copyfile.h" />
    <ClInclude Include="src\c\fileinfo.h" />
    <ClInclude Include="src\c\fprintfMat.h" />
    <ClInclude Include="src\c\fscanfMat.h" />
    <ClInclude Include="src\c\getdrives.h" />
    <ClInclude Include="src\c\getlongpathname.h" />
    <ClInclude Include="src\c\getrelativefilename.h" />
    <ClInclude Include="src\c\isDrive.h" />
    <ClInclude Include="src\c\movefile.h" />
    <ClInclude Include="src\c\Status2Mode.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>